Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1555651 - booth: FTBFS in F28
Summary: booth: FTBFS in F28
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: booth
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jan Pokorný [poki]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:26 UTC by Fedora Release Engineering
Modified: 2018-07-13 21:55 UTC (History)
1 user (show)

Fixed In Version: booth-1.0-3.f2d38ce.git.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-13 21:55:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 22:42 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 22:42 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 22:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 19:26:20 UTC
Your package booth failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24771205

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-28 22:42:43 UTC
Created attachment 1444860 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-28 22:42:48 UTC
Created attachment 1444862 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-28 22:42:50 UTC
Created attachment 1444864 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:12:22 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:17:29 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Jan Pokorný [poki] 2018-07-10 13:53:18 UTC
Sorry, swamped by other priority work.

Will fix

> DEPRECATION WARNING: python2 invoked with /usr/bin/python

in the test suite, which itself may be a bit unstable from my
experience in the koji builders (as seems to be manifested also
in the attached build.log), though it works fine on my machine.


Note You need to log in before you can comment on or make changes to this bug.